package com.example.paybyworkout.UI.fragments;


import com.example.paybyworkout.R;
import com.example.paybyworkout.classes.Statistic;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;


/**
 * Responsible for displaying one single statistic element, where the UI gets updated with the values of the statistic element.
 * @author Jan
 */
public class StatisticsDetailFragment extends Fragment {
	
	private Statistic statistic;
	
	public StatisticsDetailFragment(Statistic statistic) {
		this.statistic = statistic;
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {		
		View rootView = inflater.inflate(R.layout.statistics_detail_fragment, container, false);
		
		String startTime = statistic.getStartTimeAsDate();
		String duration = statistic.getDuration();
		String distance = statistic.getStringDistance();
		String speed = statistic.getSpeed() + " " + getActivity().getResources().getText(R.string.kmh);
		String calories = String.valueOf(statistic.getCaloriesBurned());
		String credits = statistic.getCredits() + " " + getActivity().getResources().getText(R.string.credits_earned);
		
		((TextView)rootView.findViewById(R.id.statistics_start_time)).setText(startTime);
		((TextView)rootView.findViewById(R.id.tableDurationValue)).setText(duration);
		((TextView)rootView.findViewById(R.id.tableDistanceValue)).setText(distance);
		((TextView)rootView.findViewById(R.id.tableSpeedValue)).setText(speed);
		((TextView)rootView.findViewById(R.id.tableCaloriesValue)).setText(calories);
		((TextView)rootView.findViewById(R.id.statistics_credits_earned)).setText(credits);
		return rootView;
	}
}