package com.example.paybyworkout.UI.fragments;


import java.util.ArrayList;

import com.example.paybyworkout.R;
import com.example.paybyworkout.WorkoutActivity;
import com.example.paybyworkout.UI.adapters.StatisticAdapter;
import com.example.paybyworkout.classes.Statistic;

import android.app.Fragment;
import android.os.Bundle;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ListView;
import android.widget.TextView;


/**
 * Responsible for the statistic view, which shows all recorded workouts.
 * @author Jan
 */
public class StatisticsFragment extends Fragment {

	private WorkoutActivity activity;
	private ArrayList<Statistic> statistics;

	public StatisticsFragment(WorkoutActivity activity, ArrayList<Statistic> statistics) {
		this.activity = activity;
		this.statistics = statistics;
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {		
		View rootView = inflater.inflate(R.layout.statistics_fragment, container, false);

		if(statistics.size() == 0) {
			FrameLayout mainView = (FrameLayout) rootView;
			TextView noWorkoutsRecorded = new TextView(activity);
			noWorkoutsRecorded.setText(activity.getResources().getString(R.string.no_workouts_recorded));
			noWorkoutsRecorded.setTextColor(activity.getResources().getColor(R.color.white));
			noWorkoutsRecorded.setTextSize(20);
			noWorkoutsRecorded.setGravity(Gravity.CENTER);
			mainView.addView(noWorkoutsRecorded);
		}else{
			Statistic[] statisticsArray = new Statistic[statistics.size()];
			for(int i = 0; i < statistics.size(); i++) {
				statisticsArray[i] = statistics.get(i);
			}

			StatisticAdapter adapter = new StatisticAdapter(activity, R.layout.statistics_item, statisticsArray);
			ListView listView = (ListView) rootView.findViewById(R.id.statisticList);
			listView.setAdapter(adapter);
			listView.setOnItemClickListener((WorkoutActivity) getActivity());
		}

		return rootView;
	}
}