package com.example.paybyworkout.classes;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Locale;

import android.text.format.DateFormat;

/**
 * Contains aggregated data used for statistics.
 * @author Jan
 */
public class Statistic implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8348325978425086033L;
	private UserProfile user;
	private long startTime;
	private int totalSeconds;
	private int distance;
	private double speed;
	private int caloriesBurned;
	private int credits;
	private WorkoutMode workoutMode;
	
	public UserProfile getUser() {
		return user;
	}
	public void setUser(UserProfile user) {
		this.user = user;
	}
	public long getStartTime() {
		return startTime;
	}
	
	public String getStartTimeAsDate() {
	    Calendar cal = Calendar.getInstance(Locale.ENGLISH);
	    cal.setTimeInMillis(startTime);
	    String date = DateFormat.format("dd-MM-yyyy", cal).toString();
	    return date;		
	}
	public void setStartTime(long startTime) {
		this.startTime = startTime;
	}
	public int getTotalSeconds() {
		return totalSeconds;
	}
	public String getDuration() {
		int min = totalSeconds/60;
		int sec = totalSeconds%60;		
		String duration = min + " min " + sec + " sec";
		return duration;
	}
	public void setTotalSeconds(int totalSeconds) {
		this.totalSeconds = totalSeconds;
	}
	public double getSpeed() {
		return speed;
	}
	public void setSpeed(double speed) {
		this.speed = speed;
	}
	public int getDistance() {
		return distance;
	}
	public String getStringDistance() {
		int km = distance/1000;
		int m = distance%1000;		
		String distance = km + " km " + m + " m";
		return distance;
	}
	public void setDistance(int distance) {
		this.distance = distance;
	}
	public int getCaloriesBurned() {
		return caloriesBurned;
	}
	public void setCaloriesBurned(int caloriesBurned) {
		this.caloriesBurned = caloriesBurned;
	}
	public int getCredits() {
		return credits;
	}
	public void setCredits(int credits) {
		this.credits = credits;
	}
	public String toString()  {
		return getStartTimeAsDate() + " Duration: " + getDuration(); 
	}
	public WorkoutMode getWorkoutMode() {
		return workoutMode;
	}
	public void setWorkoutMode(WorkoutMode workoutMode) {
		this.workoutMode = workoutMode;
	}
}
