package com.example.paybyworkout.record;

import android.content.ContentValues;
import android.database.sqlite.SQLiteDatabase;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;

import com.example.paybyworkout.database.MySQLiteHelper;

/**
 * Reads accelerometer data from the sensor and stores them in the database
 * @author Jan
 */
public class AccelerometerListener implements SensorEventListener {

	private long lastUpdate;
	private SQLiteDatabase database;
	
	public AccelerometerListener(SQLiteDatabase database) {
		this.database = database;
	}
	
	@Override
	public void onAccuracyChanged(Sensor sensor, int accuracy) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onSensorChanged(SensorEvent sensorEvent) {		    
        float x = sensorEvent.values[0];
        float y = sensorEvent.values[1];
        float z = sensorEvent.values[2];
        
        long currentTime = System.currentTimeMillis();
        
        if((currentTime-lastUpdate) >= RecordSensorsThread.UPDATE_INTERVAL) {
			ContentValues contentValues = new ContentValues();
			contentValues.put(MySQLiteHelper.ACCELERATION_COLUMN_TIMESTAMP, System.currentTimeMillis());
			contentValues.put(MySQLiteHelper.ACCELERATION_COLUMN_X, Float.toString(x));
			contentValues.put(MySQLiteHelper.ACCELERATION_COLUMN_Y, Float.toString(y));	
			contentValues.put(MySQLiteHelper.ACCELERATION_COLUMN_Z, Float.toString(z));	

			database.insert(MySQLiteHelper.TABLE_ACCELERATION_DATA, null, contentValues);	
			lastUpdate = currentTime;
        }	
	}
	
}