package com.example.paybyworkout.record;

import android.content.ContentValues;
import android.database.sqlite.SQLiteDatabase;
import android.location.Location;
import android.location.LocationListener;
import android.os.Bundle;

import com.example.paybyworkout.database.MySQLiteHelper;

/**
 * Reads GPS data from the sensor and stores them in the database
 * @author Jan
 */
public class GPSListener implements LocationListener {

	private long lastUpdate;
	private SQLiteDatabase database;
	
	public GPSListener(SQLiteDatabase database) {
		this.database = database;
	}
		
	@Override
	public void onLocationChanged(Location location) {

        long currentTime = System.currentTimeMillis();
        
        if((currentTime-lastUpdate) >= RecordSensorsThread.GPS_UPDATE_INTERVAL) {			
			if(location != null) {		    
				ContentValues contentValues = new ContentValues();
				contentValues.put(MySQLiteHelper.GPS_COLUMN_TIMESTAMP, System.currentTimeMillis());
				contentValues.put(MySQLiteHelper.GPS_COLUMN_LAT, Double.toString(location.getLatitude()));
				contentValues.put(MySQLiteHelper.GPS_COLUMN_LON, Double.toString(location.getLongitude()));	
				contentValues.put(MySQLiteHelper.GPS_COLUMN_ACCURACY, Double.toString(location.getAccuracy()));	
				contentValues.put(MySQLiteHelper.GPS_COLUMN_SPEED, location.getSpeed());

				database.insert(MySQLiteHelper.TABLE_GPS_DATA, null, contentValues);
				lastUpdate = currentTime;
			}				    
        }
	}

	@Override
	public void onProviderDisabled(String provider) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onProviderEnabled(String provider) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onStatusChanged(String provider, int status, Bundle extras) {
		// TODO Auto-generated method stub
		
	}
	
}